org.acplt.oncrpc

## Class OncRpcDumpResult

- java.lang.Object
- - org.acplt.oncrpc.OncRpcDumpResult

All Implemented Interfaces:
  XdrAble

    public class OncRpcDumpResult
    extends java.lang.Object
    implements XdrAble

Objects of class `OncRpcDumpResult` represent the outcome of the PMAP_DUMP operation on a portmapper. `OncRpcDumpResult`s are (de-)serializeable, so they can be flushed down XDR streams.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:41 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`java.util.Vector` `servers` Vector of server ident objects describing the currently registered ONC/RPC servers (also known as "programmes").

### Constructor Summary

Constructors
Constructor and Description
`OncRpcDumpResult()` Initialize an `OncRpcServerIdent` object.

### Method Summary

Methods
`void` `xdrDecode(XdrDecodingStream xdr)` Decodes -- that is: deserializes -- the result from a PMAP_DUMP remote procedure call from a XDR stream.
`void` `xdrEncode(XdrEncodingStream xdr)` Encodes -- that is: serializes -- the result of a PMAP_DUMP operationg into a XDR stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### servers

    public java.util.Vector servers

Vector of server ident objects describing the currently registered ONC/RPC servers (also known as "programmes").

### Constructor Detail

#### OncRpcDumpResult

    public OncRpcDumpResult()

Initialize an `OncRpcServerIdent` object. Afterwards, the `servers` field is initialized to contain no elements.

### Method Detail

#### xdrEncode

    public void xdrEncode(XdrEncodingStream xdr)
                   throws OncRpcException,
                          java.io.IOException

Encodes -- that is: serializes -- the result of a PMAP_DUMP operationg into a XDR stream.

Specified by:
  `xdrEncode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream to which information is sent for encoding.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.

#### xdrDecode

    public void xdrDecode(XdrDecodingStream xdr)
                   throws OncRpcException,
                          java.io.IOException

Decodes -- that is: deserializes -- the result from a PMAP_DUMP remote procedure call from a XDR stream.

Specified by:
  `xdrDecode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream from which decoded information is retrieved.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.